MrSID Decode SDK for LiDAR Reference Manual 1.1.4.4709

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
Version Struct Reference

Functions for geting the SDK version and MrSID file version.

`#include <Version.h>`

## Static Public Member Functions
static void | getSDKVersion (int &major, int &minor, int &age, int &build)
| Get the SDK Version. More...
static int | getSDKMajorVersion (void)
| Get the SDK's Major Version. More...
static int | getSDKMinorVersion (void)
| Get the SDK's Minor Version. More...
static int | getSDKVersionAge (void)
| Get the SDK's Version Age. More...
static int | getSDKBuildNumber (void)
| Get the SDK's Build Number. More...
static const char *const | getSDKVersionString (void)
| Get the SDK Version String. More...
static const char *const | getSDKBuildDate (void)
| Get when the SDK was built. More...
static bool | getMrSIDFileVersion (const char *path, int &version, bool &raster)
| Get the MrSID file version. More...
static bool | getMrSIDFileVersion (IO *io, int &version, bool &raster)
| Get the MrSID file version. More...
static bool | getMrSIDFileVersion (lt_uint8 header[8], int &version, bool &raster)
| Get the MrSID file version. More...

## Detailed Description

Definition at line 22 of file Version.h.

## Member Function Documentation

static bool Version::getMrSIDFileVersion | ( | const char * | path,
|  | int & | version,
|  | bool & | raster
| ) |  |
| static

This function gets the MrSID version of the given file.

Parameters

  path | the input filename
  version | gets set to the file's version number
  raster | gets set to true for Raster-based MrSID files and false for LiDAR-based MrSID files

Returns
  true when the file is a MrSID file

static bool Version::getMrSIDFileVersion | ( | IO * | io,
|  | int & | version,
|  | bool & | raster
| ) |  |
| static

This function gets the MrSID version of the given IO object.

Parameters

  io | the source IO object
  version | gets set to the file's version number
  raster | gets set to true for Raster-based MrSID files and false for LiDAR-based MrSID files

Returns
  true when the file is a MrSID file

static bool Version::getMrSIDFileVersion | ( | lt_uint8 | header[8],
|  | int & | version,
|  | bool & | raster
| ) |  |
| static

This function gets the MrSID version of the given file header.

Parameters

  header | the file's first 8 bytes
  version | gets set to the file's version number
  raster | gets set to true for Raster-based MrSID files and false for LiDAR-based MrSID files

Returns
  true when the file is a MrSID file

static const char* const Version::getSDKBuildDate | ( | void | ) |  |
| static

This function returns when the SDK was built.

Returns
  a date string

static int Version::getSDKBuildNumber | ( | void | ) |  |
| static

Referenced by getSDKVersion().

static int Version::getSDKMajorVersion | ( | void | ) |  |
| static

Referenced by getSDKVersion().

static int Version::getSDKMinorVersion | ( | void | ) |  |
| static

Referenced by getSDKVersion().

static void Version::getSDKVersion | ( | int & | major,
|  | int & | minor,
|  | int & | age,
|  | int & | build
| ) |  |
| inline static

This function gets the SDK version.

Parameters

  major | the Major version number
  minor | the Minor version number
  age | the Age version value
  build | the build number

Definition at line 34 of file Version.h.

References getSDKBuildNumber(), getSDKMajorVersion(), getSDKMinorVersion(), and getSDKVersionAge().

static int Version::getSDKVersionAge | ( | void | ) |  |
| static

Referenced by getSDKVersion().

static const char* const Version::getSDKVersionString | ( | void | ) |  |
| static

This function returns the SDK version as a printable string.

Returns
  the version string

The documentation for this struct was generated from the following file:

- Version.h

LizardTech